routes/web.php
<?php

use App\Http\Controllers\AuthCtrl;
use Illuminate\Support\Facades\Route;
use App\Http\Controllers\UserController;
use App\Http\Controllers\NilaiController;
use App\Http\Controllers\BeasiswaController;
use App\Http\Controllers\DashboardController;
use App\Http\Controllers\MahasiswaController;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "web" middleware group. Make something great!
|
*/

Route::group(["middleware"=>"auth"],function(){
    Route::get('/', [DashboardController::class,'index'])->name("home");
    
    Route::group(["middleware"=>"roleAdmin"],function(){
        Route::resource('mahasiswa',MahasiswaController::class);
        Route::resource('nilai',NilaiController::class);
        Route::resource('users',UserController::class);
        Route::resource('beasiswa',BeasiswaController::class);
        Route::get('beasiswa/{id}/{status}/update',[BeasiswaController::class,'update_status'])->name("update_status");
    });

    Route::group(["middleware"=>"roleMahasiswa"],function(){
        Route::resource('beasiswa',BeasiswaController::class);
    });

    Route::get('logout',[AuthCtrl::class,'logout'])->name("auth.logout");

});

// Route Login
Route::get('login',[AuthCtrl::class,'login'])->name("auth.login");
Route::post('ceklogin',[AuthCtrl::class,'cek_login'])->name("auth.check");

app/Models/Mahasiswa.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Mahasiswa extends Model
{
    use HasFactory;
    public $guarded = ["id"];
}

app/Http/Controllers/MahasiswaController.php
<?php

namespace App\Http\Controllers;

use Exception;
use App\Models\Mahasiswa;
use App\Http\Requests\StoreMahasiswaRequest;
use App\Http\Requests\UpdateMahasiswaRequest;

class MahasiswaController extends Controller
{
    /**
     * Display a listing of the resource.
     */
    private $title = "Mahasiswa";
    public function index()
    {
        $data = [
            "title" => "Data ".$this->title,
            "dtMhs" => Mahasiswa::All()
        ];

        return view('mahasiswa.data',$data);
    }

    /**
     * Show the form for creating a new resource.
     */
    public function create()
    {
        $data = [
            "title" => "Add ".$this->title,
            "page_name" => "Form ".$this->title,
            "is_edit" => false
        ];

        return view('mahasiswa.form',$data);
    }

    /**
     * Store a newly created resource in storage.
     */
    public function store(StoreMahasiswaRequest $request)
    {

        try {            
    
            Mahasiswa::create([
                "nim_mhs"=>$request->input("nim_mhs"),
                "nm_mhs"=>$request->input("nm_mhs"),
                "jur_mhs"=>$request->input("jur_mhs"),
                "status_mhs"=>$request->input("status_mhs")
            ]);
   
            // Message
            $mess = [
                "type" => "success",
                "text" => "Data Berhasil Disimpan !"
            ];

            return redirect(route("mahasiswa.index"))->with($mess);

        } catch(Exception $err){
            $mess = [
                "type" => "danger",
                "text" => "Data Gagal Disimpan !<br/>".$err->getMessage()
            ];
            return redirect(route("mahasiswa.index"))->with($mess);
        }
    }

    /**
     * Display the specified resource.
     */
    public function show(Mahasiswa $mahasiswa)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     */
    public function edit(Mahasiswa $mahasiswa)
    {
        $data = [
            "title" => "Edit ".$this->title,
            "page_name" => "Form ".$this->title,
            "rsMhs" => $mahasiswa,
            "is_edit" => true
        ];

        return view('mahasiswa.form',$data);
    }

    /**
     * Update the specified resource in storage.
     */
    public function update(UpdateMahasiswaRequest $request, Mahasiswa $mahasiswa)
    {
        try {            
    
            Mahasiswa::where("id",$mahasiswa->id)->update([
                "nim_mhs"=>$request->input("nim_mhs"),
                "nm_mhs"=>$request->input("nm_mhs"),
                "jur_mhs"=>$request->input("jur_mhs"),
                "status_mhs"=>$request->input("status_mhs")
            ]);
   
            // Message
            $mess = [
                "type" => "success",
                "text" => "Data Berhasil di Update !"
            ];

            return redirect(route("mahasiswa.index"))->with($mess);

        } catch(Exception $err){
            $mess = [
                "type" => "danger",
                "text" => "Data Gagal di Update !<br/>".$err->getMessage()
            ];
            return redirect(route("mahasiswa.index"))->with($mess);
        }
    }

    /**
     * Remove the specified resource from storage.
     */
    public function destroy(Mahasiswa $mahasiswa)
    {
        try {            
    
            Mahasiswa::where("id",$mahasiswa->id)->delete();
   
            // Message
            $mess = [
                "type" => "success",
                "text" => "Data Berhasil di Hapus !"
            ];

            return redirect(route("mahasiswa.index"))->with($mess);

        } catch(Exception $err){
            $mess = [
                "type" => "danger",
                "text" => "Data Gagal di Hapus !<br/>".$err->getMessage()
            ];
            return redirect(route("mahasiswa.index"))->with($mess);
        }
    }
}

resources/views/mahasiswa/data.blade.php
@extends('layouts.base')

@section('title',$title)
@section('page_name',$title)

@section("content")

{{-- Notification --}}
@if (session("text"))
    <div class="alert alert-{{ session("type") }} alert-dismissible">
        <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
        {{ session("text") }}
    </div>
@endif

<div class="card">
    <div class="card-header">
        <div class="card-tools">
            <a href="{{ route("mahasiswa.create") }}" class="btn btn-primary btn-xs"><i class="fas fa-plus"></i> ADD NEW</a>
        </div> 
    </div>
    <div class="card-body">
        <table class="data table table-bordered table-striped">
            <thead>
                <tr>
                    <th>NIM</th>
                    <th>NAMA</th>
                    <th>JURUSAN</th>
                    <th>STATUS</th>
                    <th>ACTION</th>
                </tr>
            </thead>
            <tbody>
                @foreach ($dtMhs as $rsMhs)                
                    <tr>
                        <td>{{ $rsMhs->nim_mhs }}</td>
                        <td>{{ $rsMhs->nm_mhs }}</td>
                        <td>{{ $rsMhs->jur_mhs }}</td>
                        <td>
                            <span class="badge bg-{{ $rsMhs->status_mhs==1 ? "success" : "danger" }}">{{ $rsMhs->status_mhs==1 ? "Aktif" : "Non Aktif" }}</span>
                        </td>
                        <td class="text-center">
                            <a class="btn btn-warning btn-xs" href="{{ route('mahasiswa.edit',$rsMhs->id) }}"><i class="fas fa-edit"></i></a>
                            <form class="d-inline" action="{{ route("mahasiswa.destroy",$rsMhs->id) }}" method="post">
                                @csrf
                                @method("DELETE")
                                <button type="submit" class="btn btn-danger btn-xs"><i class="fas fa-times"></i></button>
                            </form>
                        </td>
                    </tr>
                @endforeach
            </tbody>
        </table>            
    </div>
</div>   
@endsection

resources/views/mahasiswa/form.blade.php
@extends('layouts.base')

@section('title',$title)
@section('page_name',$page_name)
    
@section('content')
    <div class="row">
        <div class="col-md-7 mx-auto">
          {{-- Notification --}}
            @if ($errors->any())
              <div class="alert alert-danger alert-dismissible">
                <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
                <h5><i class="icon fas fa-check"></i> Error</h5>
                Terjadi Kesalahan , silahkan periksa kembali inputan anda
              </div>
            @endif
            <div class="card">
                <div class="card-header">
                    <div class="card-title">
                        {{ $title }}
                    </div>
                </div>
                <div class="card-body">
                    <form action="{{ $is_edit ? route("mahasiswa.update",@$rsMhs->id) : route("mahasiswa.store") }}" method="post">
                        @csrf
                        @if ($is_edit)
                          @method("PUT")
                        @endif
                        <div class="mb-3">
                          <label for="nim_mhs" class="form-label">NIM</label>
                          <input type="text" name="nim_mhs" id="nim_mhs" class="form-control @error('nim_mhs') is-invalid @enderror" value="{{ @old("nim_mhs")!="" ? @old("nim_mhs") : @$rsMhs->nim_mhs }}">
                          @error("nim_mhs")
                            <div id="valnimmhs" class="invalid-feedback">
                              {{ $message }}
                            </div>
                          @enderror
                        </div>
                        <div class="mb-3">
                          <label for="nm_mhs" class="form-label">Nama</label>
                          <input type="text" name="nm_mhs" id="nm_mhs" class="form-control @error('nm_mhs') is-invalid @enderror" value="{{ @old("nm_mhs")!="" ? @old("nm_mhs") : @$rsMhs->nm_mhs }}">
                          @error("nm_mhs")
                            <div id="valnimmhs" class="invalid-feedback">
                              {{ $message }}
                            </div>
                          @enderror
                        </div>                  
                        <div class="mb-3">
                            <label for="jur_mhs" class="form-label">Jurusan</label>
                            <select name="jur_mhs" id="jur_mhs" class="form-control @error('jur_mhs') is-invalid @enderror">
                              <option value="">- Pilih Jurusan -</option>
                              <option {{ (@old("jur_mhs") == "Teknik Informatika" ? "selected" : (@$rsMhs->jur_mhs == "Teknik Informatika" ? "selected" : "" )) }} value="Teknik Informatika">Teknik Informatika</option>
                              <option {{ (@old("jur_mhs") == "Rekayasa Sistem Komputer" ? "selected" : (@$rsMhs->jur_mhs == "Rekayasa Sistem Komputer" ? "selected" : "" )) }} value="Rekayasa Sistem Komputer">Rekayasa Sistem Komputer</option>
                              <option {{ (@old("jur_mhs") == "Akuntansi" ? "selected" : (@$rsMhs->jur_mhs == "Akuntansi" ? "selected" : "" )) }} value="Akuntansi">Akuntansi</option>
                            </select>
                            @error("jur_mhs")
                            <div id="valjur_mhs" class="invalid-feedback">
                              {{ $message }}
                            </div>
                            @enderror
                        </div>      
                        <div class="mb-3">
                            <label for="status_mhs" class="form-label">Status</label>
                            <select name="status_mhs" id="status_mhs" class="form-control @error('status_mhs') is-invalid @enderror">                              
                              <option {{ (@old("status_mhs") == 1 ? "selected" : (@$rsMhs->status_mhs == 1 ? "selected" : "")) }} value="1">Aktif</option>
                              <option {{ (@old("status_mhs") == 2 ? "selected" : (@$rsMhs->status_mhs == 2 ? "selected" : "")) }} value="2">Non Aktif</option>
                            </select>
                            @error("status_mhs")
                            <div id="valstatus_mhs" class="invalid-feedback">
                              {{ $message }}
                            </div>
                            @enderror
                        </div>      
                        <div class="mb-3">
                            <input type="submit" value="SIMPAN" class="btn btn-primary btn-md">
                        </div>        
                    </form>
                </div>
            </div>
        </div>
    </div>
@endsection